com.lowagie.text.pdf

## Class PdfBorderArray

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfArray
    - - com.lowagie.text.pdf.PdfBorderArray

    public class PdfBorderArray
    extends PdfArray

A `PdfBorderArray` defines the border of a `PdfAnnotation`.

See Also:
  `PdfArray`

### Field Summary

### Fields inherited from class com.lowagie.text.pdf.PdfArray

`arrayList`

### Fields inherited from class com.lowagie.text.pdf.PdfObject

`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

### Constructor Summary

Constructors
Constructor and Description
`PdfBorderArray(float hRadius, float vRadius, float width)` Constructs a new `PdfBorderArray`.
`PdfBorderArray(float hRadius, float vRadius, float width, PdfDashPattern dash)` Constructs a new `PdfBorderArray`.

### Method Summary

### Methods inherited from class com.lowagie.text.pdf.PdfArray

`add, add, add, add, addFirst, contains, getArrayList, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getPdfObject, isEmpty, listIterator, remove, set, size, toPdf, toString`

### Methods inherited from class com.lowagie.text.pdf.PdfObject

`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PdfBorderArray

    public PdfBorderArray(float hRadius,
                  float vRadius,
                  float width)

Constructs a new `PdfBorderArray`.

#### PdfBorderArray

    public PdfBorderArray(float hRadius,
                  float vRadius,
                  float width,
                  PdfDashPattern dash)

Constructs a new `PdfBorderArray`.